Link posts to a work item
curl --request POST \
--url https://api.sleekplan.com/v2/work-items/{number}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feedback_ids": [
123
]
}
'import requests
url = "https://api.sleekplan.com/v2/work-items/{number}/feedback"
payload = { "feedback_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({feedback_ids: [123]})
};
fetch('https://api.sleekplan.com/v2/work-items/{number}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sleekplan.com/v2/work-items/{number}/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'feedback_ids' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sleekplan.com/v2/work-items/{number}/feedback"
payload := strings.NewReader("{\n \"feedback_ids\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sleekplan.com/v2/work-items/{number}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"feedback_ids\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sleekplan.com/v2/work-items/{number}/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feedback_ids\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "<string>",
"data": {
"number": 42,
"key": "WI-42",
"title": "SAML group mapping",
"brief": "<string>",
"priority": 2,
"component": "<string>",
"status": "needs_decision",
"status_reason": "new",
"stage": "spec",
"goal": "spec",
"held_until": "2023-12-25",
"source": "app",
"created": "2026-10-29 12:00:00",
"updated": "2026-10-29 12:05:31",
"closed": "<string>",
"active_run": {
"run_id": 123,
"stage": "spec",
"state": "active",
"agent": "Claude Code",
"channel": "app",
"started": "<string>",
"last_activity": "<string>",
"ended": "<string>"
},
"feedback": [
{
"feedback_id": 123,
"title": "<string>",
"status": "<string>",
"type": "<string>",
"votes": 123,
"impact_score": 123,
"user_priority": 123
}
],
"demand": {
"posts": 123,
"votes": 123,
"impact_score_max": 123,
"user_priority_avg": 123
},
"evidence": [
{
"evidence_id": 123,
"text": "<string>",
"url": "<string>",
"channel": "app",
"agent": "<string>",
"created": "<string>"
}
],
"documents": [
{
"document_id": 123,
"role": "spec",
"title": "<string>",
"updated": "<string>"
}
],
"pull_requests": [
{
"url": "<string>",
"repository": "<string>",
"pr_number": 123,
"branch": "<string>",
"state": "open"
}
]
}
}{
"status": "<string>",
"data": {
"key": "validation_error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}Work item
Link posts to a work item
Links posts to the work item. A post already linked to it changes nothing. Send the body as JSON: feedback_ids must be a JSON array.
A post belongs to at most one work item: to move one, unlink it from the other work item first.
POST
/
work-items
/
{number}
/
feedback
Link posts to a work item
curl --request POST \
--url https://api.sleekplan.com/v2/work-items/{number}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"feedback_ids": [
123
]
}
'import requests
url = "https://api.sleekplan.com/v2/work-items/{number}/feedback"
payload = { "feedback_ids": [123] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({feedback_ids: [123]})
};
fetch('https://api.sleekplan.com/v2/work-items/{number}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sleekplan.com/v2/work-items/{number}/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'feedback_ids' => [
123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sleekplan.com/v2/work-items/{number}/feedback"
payload := strings.NewReader("{\n \"feedback_ids\": [\n 123\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sleekplan.com/v2/work-items/{number}/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"feedback_ids\": [\n 123\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sleekplan.com/v2/work-items/{number}/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"feedback_ids\": [\n 123\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "<string>",
"data": {
"number": 42,
"key": "WI-42",
"title": "SAML group mapping",
"brief": "<string>",
"priority": 2,
"component": "<string>",
"status": "needs_decision",
"status_reason": "new",
"stage": "spec",
"goal": "spec",
"held_until": "2023-12-25",
"source": "app",
"created": "2026-10-29 12:00:00",
"updated": "2026-10-29 12:05:31",
"closed": "<string>",
"active_run": {
"run_id": 123,
"stage": "spec",
"state": "active",
"agent": "Claude Code",
"channel": "app",
"started": "<string>",
"last_activity": "<string>",
"ended": "<string>"
},
"feedback": [
{
"feedback_id": 123,
"title": "<string>",
"status": "<string>",
"type": "<string>",
"votes": 123,
"impact_score": 123,
"user_priority": 123
}
],
"demand": {
"posts": 123,
"votes": 123,
"impact_score_max": 123,
"user_priority_avg": 123
},
"evidence": [
{
"evidence_id": 123,
"text": "<string>",
"url": "<string>",
"channel": "app",
"agent": "<string>",
"created": "<string>"
}
],
"documents": [
{
"document_id": 123,
"role": "spec",
"title": "<string>",
"updated": "<string>"
}
],
"pull_requests": [
{
"url": "<string>",
"repository": "<string>",
"pr_number": 123,
"branch": "<string>",
"state": "open"
}
]
}
}{
"status": "<string>",
"data": {
"key": "validation_error",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}{
"status": "error",
"data": {
"key": "<string>",
"message": "<string>"
}
}Authorizations
Was this page helpful?
